<!DOCTYPE html>
<html lang="en" class="app">
<head>
    <meta charset="utf-8"/>
    <title>${title}</title>
    <meta name="description"
          content="app, web app, responsive, admin dashboard, admin, flat, flat ui, ui kit, off screen nav"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1"/>
    <link rel="icon" href="${s0('/favicon.ico')}" type="image/x-icon"/>
    <link rel="shortcut icon" href="${s0('/favicon.ico')}" type="image/x-icon"/>

    <link rel="stylesheet" href="${s3('/css/bootstrap.css')}" type="text/css"/>
    <link rel="stylesheet" href="${s3('/css/animate.css')}" type="text/css"/>
    <link rel="stylesheet" href="${s3('/css/font-awesome.min.css')}" type="text/css"/>
    <link rel="stylesheet" href="${s3('/css/simple-line-icons.css')}" type="text/css"/>
    <link rel="stylesheet" href="${s3('/css/font.css')}" type="text/css"/>
    <link rel="stylesheet" href="${s0('/css/app.css')}" type="text/css"/>
    <link rel="stylesheet" href="${s3('/css/bootstrap-table.css')}" type="text/css"/>
    <link rel="stylesheet" href="${s3('/css/daterangepicker.css')}" type="text/css"/>
    <link rel="stylesheet" href="${s3('/js/chosen/chosen.css')}" type="text/css"/>
    <!--
    <script src="http://tj.yyjzt.com/tj_analyzer/v2.js?v=aone" type="text/javascript"></script>
    -->
    <!--[if lt IE 9]>
    <script type="text/javascript" src="${s3('/js/ie/html5shiv.js')}"></script>
    <script type="text/javascript" src="${s3('/js/ie/respond.min.js')}"></script>
    <script type="text/javascript" src="${s3('/js/ie/excanvas.js')}"></script>
    <![endif]-->
</head>
<body class="">
<section class="vbox">
    <header class="bg-white-only header header-md navbar navbar-fixed-top-xs">
        <div class="navbar-header aside bg-info dk">
            <a class="btn btn-link visible-xs" data-toggle="class:nav-off-screen,open" data-target="#nav,html">
                <i class="icon-list"></i>
            </a>
            <a href="index.html" class="navbar-brand text-lt">
                <svg x="0" y="0" width="30" height="30" class="imagesvg-svg">
                    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 145.6 145.6">
                        <g>
                            <g fill-rule="evenodd">
                                <path fill="#004c77"
                                      d="M90.71 145.6H0V50.27l90.71 95.33zM54.42 37.99L18.41.15 90.55.03 54.42 37.99z"></path>
                                <path fill="#68a930"
                                      d="M107.13 0h38.2v.28l-69 72.52 69.27 72.8h-38.47L37.86 72.8 107.13 0z"></path>
                            </g>
                        </g>
                    </svg>
                </svg>
                <span class="hidden-nav-xs m-l-sm">博锋管家</span>
            </a>
            <a class="btn btn-link visible-xs" data-toggle="dropdown" data-target=".user">
                <i class="icon-settings"></i>
            </a>
        </div>
        <ul class="nav navbar-nav hidden-xs">
            <li>
                <a href="#nav,.navbar-header" data-toggle="class:nav-xs,nav-xs" class="text-muted">
                    <i class="fa fa-indent text"></i>
                    <i class="fa fa-dedent text-active"></i>
                </a>
            </li>
        </ul>

        <div class="navbar-form navbar-left m-t m-l-n-xs hidden-xs">
            <div class="form-group">
                <div class="input-group">
                    <span class="content_title">${title}</span>
                </div>
            </div>
        </div>

        <div class="navbar-right ">
            <ul class="nav navbar-nav m-n hidden-xs nav-user user">
                <li class="dropdown">
                    <a href="#" class="dropdown-toggle bg clear" data-toggle="dropdown">
              <span class="thumb-sm avatar pull-right m-t-n-sm m-b-n-sm m-l-sm">
                <img src="${s3('/images/a0.png')}">
              </span>
                    ${(currentUser().realName)!""} <b class="caret"></b>
                    </a>
                    <ul class="dropdown-menu animated fadeInRight">
                        <li>
                            <a href="/user/logout.html" target="_self">退出登录</a>
                        </li>
                        <li>
                            <a href="javascript:resetPWD();" target="_self">修改密码</a>
                        </li>
                    </ul>
                </li>
            </ul>
        </div>
    </header>
    <section>
        <section class="hbox stretch">
            <!-- .aside -->
            <aside class="bg-black dk aside hidden-print" id="nav">
                <section class="vbox">
                    <section class="w-f-md scrollable">
                        <div class="slim-scroll" data-height="auto" data-disable-fade-out="true" data-distance="0"
                             data-size="10px" data-railOpacity="0.2">

                            <!-- nav -->
                            <nav class="nav-primary hidden-xs">
                                <ul class="nav" id="admin_nav" data-ride="collapse">

<#list currentResources() as root>
    <li id="nav_menu_${root.menuId}">
        <a href="${root.url!"javascript:void(0);"}" class="auto">
         <#if (root.childs?size>0)>
        <span class="pull-right text-muted">
            <i class="fa fa-plus-square-o text"></i>
            <i class="fa fa-minus-square-o text-active"></i>
        </span>
         </#if>

            <i class="icon-screen-desktop icon"></i>
            <span>${root.name}</span>
        </a>
    <#if (root.childs?size>0)>
    <ul class="nav dk text-sm">
    <#list root.childs as node2>
        <li id="nav_menu_${node2.menuId}">
            <a href="${node2.url!"javascript:void(0);"}" class="auto">
                <#if (node2.childs?size>0)>
                <span class="pull-right text-muted">
                    <i class="fa fa-plus-square-o text"></i>
                    <i class="fa fa-minus-square-o text-active"></i>
                </span>
                </#if>
                <i class="fa fa-circle text-xs"></i>
                <span>${node2.name}</span>
            </a>
            <#if (node2.childs?size>0)>
            <ul class="nav dker" style="padding-left: 10px;">
            <#list node2.childs as node3>
                <li id="nav_menu_${node3.menuId}">
                    <a href="${node3.url!"javascript:void(0);"}">
                        <i class="fa fa-circle text-xs"></i>
                        <span>${node3.name}</span>
                    </a>
                </li>
            </#list>
            </ul>
            </#if>
        </li>
    </#list>
    </ul>
    </#if>
    </li>
</#list>
                                </ul>
                            </nav>
                            <!-- / nav -->


                        </div>
                    </section>
                </section>
            </aside>
            <!-- /.aside -->
            <section id="content">

<!-- Modal -->
<div class="modal fade" id="resetModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span>
                </button>
                <h4 class="modal-title" id="myModalLabel"></h4>
            </div>
            <div class="modal-body">

                <form class="form-horizontal">
                    <div class="panel-body">

                        <div class="form-group">
                            <label for="password" class="col-sm-2 control-label">当前密码</label>

                            <div class="col-sm-10">
                                <input type="password" id="password" name="password" class="form-control"
                                       autocomplete="off"/>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="newPassword" class="col-sm-2 control-label">新密码</label>

                            <div class="col-sm-10">
                                <input type="password" id="newPassword" name="newPassword" class="form-control"
                                       autocomplete="off"/>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="repeatPassword" class="col-sm-2 control-label">确认密码</label>

                            <div class="col-sm-10">
                                <input type="password" id="repeatPassword" name="repeatPassword" class="form-control"
                                       autocomplete="off"/>
                            </div>
                        </div>

                    </div>
                </form>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary" onclick="savePassword();">确认修改</button>
                <button type="button" class="btn btn-default" data-dismiss="modal">关闭</button>
            </div>
        </div>
    </div>
</div>

<script>

    function resetPWD() {
        $('#resetModal').find('h4').html('修改密码');
        $('#resetModal').find('form').formClear();
        $('#resetModal').modal('toggle');
    }
    
    function savePassword() {
        var passwordDate = $('#resetModal').find('form').formGet();
        if (passwordDate.password && passwordDate.newPassword && passwordDate.newPassword.length<=20) {

            if (passwordDate.newPassword === passwordDate.repeatPassword) {
                // $.ajax({
                //     url:'/user/reset_password.json',
                //     contentType: "application/json; charset=utf-8",
                //     type:'post',
                //     data:JSON.stringify(passwordDate),
                //     success: function (data) {
                //         if (data.success) {
                //             layer.msg(data.msg);
                //             window.location.replace('/user/login.html');
                //         } else {
                //             layer.msg(data.msg);
                //         }
                //     },
                //     error: function () {
                //         layer.msg("网络异常");
                //     }
                // });

            }else{
                $.alert('两次密码不相等');
            }
        } else {
            $.alert('密码必填，并且不能超过20位');
        }
    }
    
</script>
