<#assign title="按订单统计">
<#include "/admin/head.ftl">
<section class="vbox">
    <section class="scrollable wrapper">
        <div class="panel panel-default">
            <div class="panel-body">
                <form id="theform" name="theform" onsubmit="return false;">
                    <div class="row">

                        <div class="col-xs-12 col-sm-6 col-md-3 form-group">
                            <div class="input-group">
                                <label class="input-group-addon" for="saleName1">销售</label>
                                <input type="text" id="saleName" name="saleName" class="form-control"></input>
                            </div>
                        </div>

                        <div class="col-xs-12 col-sm-6 col-md-3 form-group">
                            <div class="input-group">
                                <label class="input-group-addon" for="orderStartAt">开始时间</label>
                                <input type="date" id="orderStartAt" name="orderStartAt" class="form-control"></input>
                            </div>
                        </div>

                        <div class="col-xs-12 col-sm-6 col-md-3 form-group">
                            <div class="input-group">
                                <label class="input-group-addon" for="orderEndAt">结束时间</label>
                                <input type="date" id="orderEndAt" name="orderEndAt" class="form-control"></input>
                            </div>
                        </div>

                        <div class="col-xs-12 col-sm-6 col-md-3 form-group">
                            <div class="input-group">
                                <label class="input-group-addon" for="roomName">包厢</label>
                                <input type="text" id="roomName" name="roomName" class="form-control"></input>
                            </div>
                        </div>

                        <div class="col-xs-12 col-sm-6 col-md-3 form-group">
                            <div class="input-group">
                                <label class="input-group-addon" for="customerName">客户</label>
                                <input type="text" id="customerName" name="customerName" class="form-control"></input>
                            </div>
                        </div>

                        <div class="col-xs-12 col-sm-6 col-md-3 form-group">
                            <div class="input-group">
                                <label for="paid" class="input-group-addon">支付状态</label>
                                <select id="paid" name="paid" class="form-control">
                                    <option value="">全部</option>
                                    <option value="1">已支付</option>
                                    <option value="0">未支付</option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-xs-12 col-sm-6 col-md-3 form-group">
                            <button id="searchOrder" type="button" class="btn btn-success btn-s-xs">查询</button>
                        </div>
                    </div>
                </form>
                <table id="thetable"></table>
            </div>
        </div>

    </section>
</section>
<#include "/admin/foot.ftl">

<script>
    initTable();
    $('#searchOrder').click(function () {
        initTable();
    });

    function responseHandler(root) {
        return { "total": root.pagination.count, "rows": root.data };
    }

    function initTable() {
        $('#thetable').bootstrapTable('destroy').bootstrapTable({
            url: '/admin/order_search.json',
            method: 'get',
            queryParams: function (params) {
                $('#theform').serializeArray().forEach(function fn(v) {
                    params[v.name] = v.value;
                });
                return params;
            },
            responseHandler: responseHandler,
            idField: 'order_id',
            exportDataType: 'all',
            exportTypes: ['txt', 'excel'],
            dataShowExport: true,
            search: false,
            sortStable: false,
            sidePagination: 'server',
            pagination: true,
            columns: [
                {
                    field: 'orderId',
                    title: '订单编号'
                }, {
                    field: 'placeName',
                    title: '场地',
                    formatter: function (v, row) {
                        return row.placeName + ' - ' + row.roomName;
                    }
                }, {
                    field: 'customerName',
                    title: '客户',
                    formatter: function (v, row) {
                        return row.customerName + ' (' + row.customerNumber + '人)';
                    }
                }, {
                    field: 'saleName',
                    title: '推介人姓名'
                }, {
                    field: 'payAmount',
                    title: '消费金额'
                }, {
                    field: 'arrivalAt',
                    title: '预定时间',
                    formatter: numdate
                }, {
                    field: 'payAt',
                    title: '买单时间',
                    formatter: function (v, row) {
                        if (!row.paid) {
                            return '未支付';
                        }
                        return numdate(v);
                    }
                }
            ]
        });
    }


</script>
